Subject: bug#44155: Print integers as characters

From: Eli Zaretskii <[email-masked]>
Date: Tue, 03 Nov 2020 17:24:05 +0200

> From: Mattias Engdegård <[email-masked]>
> Date: Tue, 3 Nov 2020 00:03:31 +0100
> Cc: Eli Zaretskii <[email-masked]>, Andreas Schwab <[email-masked]>,
>         [email-masked]
> 
> +@defvar print-integers-as-characters
> +When this variable is non-@code{nil}, integers that represent
> +printable characters or control characters with their own escape
> +syntax such as newline will be printed using Lisp character syntax

What is meant by "printable characters" here?  One could think you
mean [:print:], but that doesn't seem to be what then code does.

> +  DEFVAR_BOOL ("print-integers-as-characters", print_integers_as_characters,
> +	       doc: /* Non-nil means integers are printed using characters syntax.
> +Only non-control characters, and control characters with named escape
> +sequences such as newline, are printed this way.  Other integers,
> +including those corresponding to raw bytes, are not affected.  */);

And here, what does "non-control characters" mean?